Loading...
Searching...
No Matches
format.c File Reference
`#include <stdio.h>`
`#include <string.h>`
`#include <grass/datetime.h>`
Include dependency graph for datetime/format.c:

Go to the source code of this file.

## Functions

int | datetime_format (const DateTime *dt, char *buf)
| formats DateTime structure as a human-readable string returns 0 when successful and 'buf' is filled with the string returns a negative number on error

## Function Documentation

## datetime_format()

int datetime_format | ( | const DateTime * | dt,
|  | char * | buf )

formats DateTime structure as a human-readable string returns 0 when successful and 'buf' is filled with the string returns a negative number on error

Parameters

  dt |
  buf |

Returns
  int

Definition at line 25 of file datetime/format.c.

References datetime_decompose_timezone(), datetime_error_code(), datetime_get_day(), datetime_get_fracsec(), datetime_get_hour(), datetime_get_minute(), datetime_get_month(), datetime_get_second(), datetime_get_timezone(), datetime_get_year(), datetime_is_absolute(), datetime_is_negative(), datetime_is_relative(), and datetime_is_valid_type().

Referenced by G_format_timestamp().